<?php
/*
Simple:Press
Admin Bar plugin uninstall routine
$LastChangedDate: 2014-09-13 08:06:56 -0700 (Sat, 13 Sep 2014) $
$Rev: 11965 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_admin_bar_do_uninstall() {
	global $spGlobals;

    sp_delete_option('spAdminBar');
	sp_delete_option('spAkismet');

	# remove the auth
	if (!empty($spGlobals['auths_map']['bypass_akismet'])) sp_delete_auth('bypass_akismet');

    # remove our auto update stuff
    $up = sp_get_sfmeta('autoupdate', 'admin');
    if ($up) sp_delete_sfmeta($up[0]['meta_id']);

    # empty out the sfwaiting table
	spdb_query('TRUNCATE '.SFWAITING);
}

function sp_admin_bar_do_deactivate() {
	global $spGlobals;

	# remove the auth
	sp_deactivate_auth('bypass_akismet');

    # remove our auto update stuff
    $up = sp_get_sfmeta('autoupdate', 'admin');
    if ($up) sp_delete_sfmeta($up[0]['meta_id']);
}

function sp_admin_bar_uninstall_option_links($actionlink, $plugin) {
	if ($plugin == 'admin-bar/sp-admin-bar-plugin.php') {
        $url = SFADMINPLUGINS.'&amp;action=uninstall&amp;plugin='.$plugin.'&amp;sfnonce='.wp_create_nonce('forum-adminform_plugins');
        $actionlink.= "&nbsp;&nbsp;<a href='$url' title='".__('Uninstall this plugin', 'spwo')."'>".__('Uninstall', 'spab').'</a>';
        $url = SFADMINADMIN.'&amp;tab=globaladmin';
        $actionlink.= "&nbsp;&nbsp;<a href='$url' title='".__('Options', 'spab')."'>".__('Options', 'spab').'</a>';
    }
	return $actionlink;
}

?>